#ifndef _NET_H_
#define _NET_H_

#include <sys/socket.h>
#include <netinet/in.h>

#define NET_BUFLEN 256

typedef struct net_t {
    int fd;
    struct sockaddr_in laddr, raddr, inaddr;
    socklen_t raddr_len, inaddr_len;

    char buffer[NET_BUFLEN];
} net_t;

int net_client_init(net_t *const n, const int af_family, const char *const raddr, const int rport);
int net_server_init(net_t *const n, const int af_family, const char *const laddr, const int lport);
void net_destroy(net_t *n);

int net_sendto(net_t *const n, const char *const buf, const int buf_len);
int net_recvfrom(net_t *const n);

#endif /* _NET_H_ */